curl -X GET "https://prod.api.unleeshed.ai/partner/v1/personas" \
-H "X-Api-Key: pk_live_your_api_key"
const response = await fetch('https://prod.api.unleeshed.ai/partner/v1/personas', {
headers: { 'X-Api-Key': 'pk_live_your_api_key' }
});
const { data: personas } = await response.json();
import requests
response = requests.get(
"https://prod.api.unleeshed.ai/partner/v1/personas",
headers={"X-Api-Key": "pk_live_your_api_key"}
)
personas = response.json()["data"]
{
"success": true,
"data": [
{
"id": "persona-abc-123",
"name": "Coach Mike",
"image_url": "https://storage.unleeshed.ai/personas/coach-mike.jpg"
},
{
"id": "persona-xyz-789",
"name": "Sports Analyst Sarah",
"image_url": "https://storage.unleeshed.ai/personas/sarah.jpg"
},
{
"id": "persona-def-456",
"name": "The Basketball Professor",
"image_url": "https://storage.unleeshed.ai/personas/professor.jpg"
}
]
}
{
"success": true,
"data": []
}
Personas
List Personas
List all personas you have active licenses for
GET
/
partner
/
v1
/
personas
curl -X GET "https://prod.api.unleeshed.ai/partner/v1/personas" \
-H "X-Api-Key: pk_live_your_api_key"
const response = await fetch('https://prod.api.unleeshed.ai/partner/v1/personas', {
headers: { 'X-Api-Key': 'pk_live_your_api_key' }
});
const { data: personas } = await response.json();
import requests
response = requests.get(
"https://prod.api.unleeshed.ai/partner/v1/personas",
headers={"X-Api-Key": "pk_live_your_api_key"}
)
personas = response.json()["data"]
{
"success": true,
"data": [
{
"id": "persona-abc-123",
"name": "Coach Mike",
"image_url": "https://storage.unleeshed.ai/personas/coach-mike.jpg"
},
{
"id": "persona-xyz-789",
"name": "Sports Analyst Sarah",
"image_url": "https://storage.unleeshed.ai/personas/sarah.jpg"
},
{
"id": "persona-def-456",
"name": "The Basketball Professor",
"image_url": "https://storage.unleeshed.ai/personas/professor.jpg"
}
]
}
{
"success": true,
"data": []
}
Response
array
Array of licensed persona objects.
| Field | Type | Description |
|---|---|---|
id | string | Persona UUID |
name | string | Display name |
image_url | string | Avatar image URL |
curl -X GET "https://prod.api.unleeshed.ai/partner/v1/personas" \
-H "X-Api-Key: pk_live_your_api_key"
const response = await fetch('https://prod.api.unleeshed.ai/partner/v1/personas', {
headers: { 'X-Api-Key': 'pk_live_your_api_key' }
});
const { data: personas } = await response.json();
import requests
response = requests.get(
"https://prod.api.unleeshed.ai/partner/v1/personas",
headers={"X-Api-Key": "pk_live_your_api_key"}
)
personas = response.json()["data"]
{
"success": true,
"data": [
{
"id": "persona-abc-123",
"name": "Coach Mike",
"image_url": "https://storage.unleeshed.ai/personas/coach-mike.jpg"
},
{
"id": "persona-xyz-789",
"name": "Sports Analyst Sarah",
"image_url": "https://storage.unleeshed.ai/personas/sarah.jpg"
},
{
"id": "persona-def-456",
"name": "The Basketball Professor",
"image_url": "https://storage.unleeshed.ai/personas/professor.jpg"
}
]
}
{
"success": true,
"data": []
}
⌘I